/**
 * 配置/DB通讯
 * @author yutent<yutent@doui.cc>
 * @date 2019/01/26 18:11:26
 */

const { app, ipcMain } = require('electron')
const { resolve, join } = require('path')
const fs = require('iofs')
// const sec = require('crypto.js')

const HOME = resolve(app.getPath('userData'))

/* ********** 修复环境变量 start *********** */
let PATH_SET = new Set()
process.env.PATH.split(':').forEach(_ => {
  PATH_SET.add(_)
})
PATH_SET.add('/usr/local/bin')
PATH_SET.add('/usr/local/sbin')

process.env.PATH = Array.from(PATH_SET).join(':')
PATH_SET = null

/* ********** 修复环境变量 end *********** */

/* ----------------------------------------------------------------- */
/* ---------------------       事件开始     ------------------------- */
/* ---------------------------------------------------------------- */

ipcMain.on('ready', ev => {
  ev.returnValue = { CONFIG_FILE, SONGS_FILE, PLAYLIST_FILE, MUSIC_DIR }
})

// ipcMain.on('app', (ev, conn) => {
//   switch (conn.type) {
//     // 获取应用配置
//     case 'get-init':
//       var ini = fs.cat(INIT_FILE).toString('')
//       ev.returnValue = JSON.parse(ini)
//       break
//     // 设置应用配置
//     case 'set-init':
//       fs.echo(JSON.stringify(conn.data, null, 2), INIT_FILE)
//       break

//   }
// })
